# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.ResourceData

Packages that use ResourceData
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.factory
org.pentaho.reporting.libraries.resourceloader.factory.image
org.pentaho.reporting.libraries.resourceloader.factory.property
org.pentaho.reporting.libraries.resourceloader.loader
org.pentaho.reporting.libraries.resourceloader.loader.file
org.pentaho.reporting.libraries.resourceloader.loader.raw
org.pentaho.reporting.libraries.resourceloader.loader.resource
org.pentaho.reporting.libraries.resourceloader.loader.zip
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg
org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader

Subinterfaces of ResourceData in org.pentaho.reporting.libraries.resourceloader
Modifier and Type
Interface
Description
`interface`
`ResourceBundleData`
Todo: Document Me
Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
ResourceLoader.`load(ResourceKey key)`
Loads the binary data represented by this key.
`ResourceData`
ResourceManager.`load(ResourceKey key)`
`ResourceData`
DefaultResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
`ResourceData`
ResourceManager.`loadRawData(ResourceKey key)`
`ResourceData`
ResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceData
Modifier and Type
Method
Description
`Resource`
DefaultResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData data, ResourceKey context, Class[] target)`
`Resource`
ResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
Creates a resource by interpreting the data given in the resource-data object.
`Resource`
ResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData key, ResourceKey context, Class[] target)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceData
Modifier and Type
Class
Description
`class`
`CachingResourceBundleData`
A very simple implementation which is suitable for smaller objects.
`class`
`CachingResourceData`
A very simple implementation which is suitable for smaller objects.
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceData
Modifier and Type
Method
Description
`static ResourceData`
CachingResourceData.`createCached(ResourceData data)`
`ResourceData`
DefaultResourceDataCacheEntry.`getData()`
`ResourceData`
ResourceDataCacheEntry.`getData()`
`ResourceData`
NullResourceDataCache.`put(ResourceManager caller, ResourceData data)`
`ResourceData`
ResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
Methods in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceData
Modifier and Type
Method
Description
`static ResourceData`
CachingResourceData.`createCached(ResourceData data)`
`ResourceData`
NullResourceDataCache.`put(ResourceManager caller, ResourceData data)`
`ResourceData`
ResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
`void`
NullResourceDataCache.`remove(ResourceData data)`
`void`
ResourceDataCache.`remove(ResourceData data)`
Constructors in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceData
Modifier
Constructor
Description
``
`CachingResourceData(ResourceData data)`
``
`DefaultResourceDataCacheEntry(ResourceData data, ResourceManager manager)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.factory

Methods in org.pentaho.reporting.libraries.resourceloader.factory with parameters of type ResourceData
Modifier and Type
Method
Description
`int`
AbstractFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
FactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
AbstractResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
`Resource`
FactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.factory.image

Methods in org.pentaho.reporting.libraries.resourceloader.factory.image with parameters of type ResourceData
Modifier and Type
Method
Description
`Resource`
GIFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
JPEGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
PNGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.factory.property

Methods in org.pentaho.reporting.libraries.resourceloader.factory.property with parameters of type ResourceData
Modifier and Type
Method
Description
`Resource`
PropertiesResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.loader

Classes in org.pentaho.reporting.libraries.resourceloader.loader that implement ResourceData
Modifier and Type
Class
Description
`class`
`AbstractResourceData`
Creation-Date: 05.04.2006, 15:24:47
`class`
`URLResourceData`
A generic read handler for URL resources.
Methods in org.pentaho.reporting.libraries.resourceloader.loader that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
URLResourceLoader.`load(ResourceKey key)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.loader.file

Classes in org.pentaho.reporting.libraries.resourceloader.loader.file that implement ResourceData
Modifier and Type
Class
Description
`class`
`FileResourceData`
A simple file reader.
Methods in org.pentaho.reporting.libraries.resourceloader.loader.file that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
FileResourceLoader.`load(ResourceKey key)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.loader.raw

Classes in org.pentaho.reporting.libraries.resourceloader.loader.raw that implement ResourceData
Modifier and Type
Class
Description
`class`
`RawResourceData`
Creation-Date: 12.04.2006, 15:06:48
Methods in org.pentaho.reporting.libraries.resourceloader.loader.raw that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
RawResourceLoader.`load(ResourceKey key)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.loader.resource

Classes in org.pentaho.reporting.libraries.resourceloader.loader.resource that implement ResourceData
Modifier and Type
Class
Description
`class`
`ClassloaderResourceData`
Creation-Date: 05.04.2006, 15:15:36
Methods in org.pentaho.reporting.libraries.resourceloader.loader.resource that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
ClassloaderResourceLoader.`load(ResourceKey key)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.loader.zip

Classes in org.pentaho.reporting.libraries.resourceloader.loader.zip that implement ResourceData
Modifier and Type
Class
Description
`class`
`ZipResourceData`
Creation-Date: 05.04.2006, 15:44:07
Methods in org.pentaho.reporting.libraries.resourceloader.loader.zip that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
ZipEntryKey.`getZipFile()`
`ResourceData`
ZipResourceLoader.`load(ResourceKey key)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.zip with parameters of type ResourceData
Modifier
Constructor
Description
``
`ZipEntryKey(ResourceData zipFile, String entryName)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceData
Modifier and Type
Method
Description
`ResourceData`
EHResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache with parameters of type ResourceData
Modifier and Type
Method
Description
`ResourceData`
EHResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
`void`
EHResourceDataCache.`remove(ResourceData data)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio with parameters of type ResourceData
Modifier and Type
Method
Description
`int`
ImageIOFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
ImageIOFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg with parameters of type ResourceData
Modifier and Type
Method
Description
`int`
WrapperSVGDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperSVGImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
SVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
SVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceData in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf with parameters of type ResourceData
Modifier and Type
Method
Description
`int`
WrapperWMFDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperWMFImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
WMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`